Bug 55534 - Installer %post section doesn't have the last word
Installer %post section doesn't have the last word
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2001-11-01 13:23 EST by Joshua Jensen
Modified: 2007-04-18 12:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-10 12:56:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
ks.cfg file (728 bytes, text/plain)
2001-11-21 13:44 EST, Joshua Jensen
no flags Details

  None (edit)
Description Joshua Jensen 2001-11-01 13:23:12 EST
In the %post section, I can copy known good Xconfig files to /etc/X11, and
they would work, except that X configuration by the installer takes place
_AFTER_ the installation process.  This seems to be a new "feature".  Is it
possible to do all things the installer needs to do BEFORE the %post
section, so that in future version of Red Hat Linux %post will truely live
up to it's name?  This would be useful so that a script run in the %post
section, regardless of what runlevel was configured, or automatic X
configuration did or didn't happen, will truely have the last word _after_


Joshua Jensen
Comment 1 Brent Fox 2001-11-03 10:32:55 EST
%post should always have the last word...this is strange.  Can you attach your
kickstart file so we can try to duplicate this?
Comment 2 Brent Fox 2001-11-13 15:22:19 EST
Closing due to inactivity.  Please reopen if you have more information.
Comment 3 Joshua Jensen 2001-11-21 13:43:02 EST
Sorry... I was gone for two weeks.  Attached please find my ks.cfg kickstart 
file.  I'm using ftp as an installation method;  I'm not sure if the results 
would be different with NFS or cdrom.
Comment 4 Joshua Jensen 2001-11-21 13:44:09 EST
Created attachment 38303 [details]
ks.cfg file
Comment 5 Need Real Name 2002-03-11 15:31:32 EST
This bug also screws the RedHat RHCE Examinations !

I am an RHCEX in UK.
This bug reported to LJ in UK - who did not believe it I thnk !

Work-around is to create a 'one-shot' rc5.d script to copy required XF86 files
to /etc/X11
on first reboot.

Also related - many 'xconfig' options do not work in kickstart.cfg files.
Comment 6 Jeremy Katz 2002-03-13 00:47:43 EST
%post should now really have the last word as its done right before the
congratulations screen
Comment 7 Mike McLean 2003-01-10 12:56:24 EST
fix verified 
Comment 8 Joshua Jensen 2003-01-10 14:42:58 EST
Thanks guys!

Note You need to log in before you can comment on or make changes to this bug.